View | Details | Raw Unified | Return to bug 257527 | Differences between
and this patch

Collapse All | Expand All

(-)b/lang/ruby27/Makefile (-10 / +8 lines)
Lines 46-57 USE_RUBY= yes Link Here
46
RUBY_NO_BUILD_DEPENDS=	yes
46
RUBY_NO_BUILD_DEPENDS=	yes
47
RUBY_NO_RUN_DEPENDS=	yes
47
RUBY_NO_RUN_DEPENDS=	yes
48
48
49
OPTIONS_DEFINE=		CAPIDOCS DEBUG DOCS EXAMPLES GMP RDOC
49
OPTIONS_DEFINE=		CAPIDOCS DEBUG DOCS DTRACE EXAMPLES GMP RDOC
50
OPTIONS_DEFAULT=	RDOC LIBEDIT
50
OPTIONS_DEFAULT=	RDOC LIBEDIT
51
OPTIONS_DEFAULT_amd64=	DTRACE
52
OPTIONS_DEFAULT_i386=	DTRACE
53
.if !exists(/usr/sbin/dtrace)
54
OPTIONS_EXCLUDE+=	DTRACE
55
.endif
51
OPTIONS_SINGLE=		EDIT
56
OPTIONS_SINGLE=		EDIT
52
OPTIONS_SINGLE_EDIT=	LIBEDIT READLINE
57
OPTIONS_SINGLE_EDIT=	LIBEDIT READLINE
53
OPTIONS_SUB=		yes
58
OPTIONS_SUB=		yes
54
CAPIDOCS_DESC=		Build and install C API documents
59
CAPIDOCS_DESC=		Build and install C API documents
60
DTRACE_DESC?=		Build with DTrace probes (amd64 and i386)
55
GMP_DESC=		Use GMP to accelerate Bignum operations
61
GMP_DESC=		Use GMP to accelerate Bignum operations
56
RDOC_DESC=		Build and install Rdoc indexes
62
RDOC_DESC=		Build and install Rdoc indexes
57
EDIT_DESC=		Which line editing lib to use
63
EDIT_DESC=		Which line editing lib to use
Lines 60-65 READLINE_DESC= Use libreadline Link Here
60
CAPIDOCS_BUILD_DEPENDS=	doxygen>=1.8.13,2:devel/doxygen \
66
CAPIDOCS_BUILD_DEPENDS=	doxygen>=1.8.13,2:devel/doxygen \
61
			dot:graphics/graphviz
67
			dot:graphics/graphviz
62
CAPIDOCS_CONFIGURE_ENABLE=	install-capi
68
CAPIDOCS_CONFIGURE_ENABLE=	install-capi
69
DTRACE_CONFIGURE_ENABLE=	dtrace
63
GMP_CONFIGURE_WITH=	gmp
70
GMP_CONFIGURE_WITH=	gmp
64
GMP_LIB_DEPENDS=	libgmp.so:math/gmp
71
GMP_LIB_DEPENDS=	libgmp.so:math/gmp
65
LIBEDIT_CONFIGURE_ON=	--enable-libedit --with-libedit-dir=${LOCALBASE}
72
LIBEDIT_CONFIGURE_ON=	--enable-libedit --with-libedit-dir=${LOCALBASE}
Lines 84-97 _SUF1= _${PORTREVISION} Link Here
84
_SUF2=	,${PORTEPOCH}
91
_SUF2=	,${PORTEPOCH}
85
.endif
92
.endif
86
93
87
.if ${OPSYS} == "FreeBSD"
88
.if exists(/usr/sbin/dtrace) && (${ARCH} == amd64 || ${ARCH} == i386)
89
CONFIGURE_ARGS+=--enable-dtrace
90
.else
91
CONFIGURE_ARGS+=--disable-dtrace
92
.endif
93
.endif
94
95
# keep in sync with all platforms where libunwind is available
94
# keep in sync with all platforms where libunwind is available
96
.if ${ARCH} == aarch64 || ${ARCH} == amd64 || ${ARCH} == armv7 || ${ARCH} == i386 || ${ARCH} == powerpc64 || ${ARCH} == powerpc64le
95
.if ${ARCH} == aarch64 || ${ARCH} == amd64 || ${ARCH} == armv7 || ${ARCH} == i386 || ${ARCH} == powerpc64 || ${ARCH} == powerpc64le
97
LIB_DEPENDS+=	libunwind.so:devel/libunwind
96
LIB_DEPENDS+=	libunwind.so:devel/libunwind
98
- 

Return to bug 257527